Subject: bug#61444: closed (Re: [bug#61444] [PATCH] gnu: libnitrokey: Update to 3.8.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 13 Feb 2023 19:01:04 +0000

Your bug report

#61444: [PATCH] gnu: libnitrokey: Update to 3.8.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61444: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61444
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#61444] [PATCH] gnu: libnitrokey: Update to 3.8.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Mon, 13 Feb 2023 18:59:42 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] writes:

> From: Morgan Smith <[email-masked]>
>
> * gnu/packages/security-token.scm (libnitrokey): Update to 3.8.
> ---
>
> I looked through the diff for 3.6 -> 3.8.  It builds.  nitrokey-app builds and
> runs.  I will admit I'm only doing this for the new udev rules though.
>
>
>  gnu/packages/security-token.scm | 6 +++---
>  1 file changed, 3 insertions(+), 3 deletions(-)

Thanks! Pushed to master as 403066162cefb65b4ad858517722641c6394ffc2.

Chris

Subject: [PATCH] gnu: libnitrokey: Update to 3.8.
From: [email-masked]
To: [email-masked]
Cc: Morgan Smith <[email-masked]>
Date: Sat, 11 Feb 2023 22:59:26 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

From: Morgan Smith <[email-masked]>

* gnu/packages/security-token.scm (libnitrokey): Update to 3.8.
---

I looked through the diff for 3.6 -> 3.8.  It builds.  nitrokey-app builds and
runs.  I will admit I'm only doing this for the new udev rules though.

 gnu/packages/security-token.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/security-token.scm b/gnu/packages/security-token.scm
index 619be42305..a7f5e3acf9 100644
--- a/gnu/packages/security-token.scm
+++ b/gnu/packages/security-token.scm
@@ -725,7 +725,7 @@ (define-public python-yubikey-manager
 (define-public libnitrokey
   (package
     (name "libnitrokey")
-    (version "3.6")
+    (version "3.8")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -734,7 +734,7 @@ (define-public libnitrokey
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "0ngrvv61d36vvfwrfg0qxmp2wg18v4aaldwvwzgxvwaysjswhn9r"))))
+                "1b95l979y353rli54a79z18iya9bza83cymcjpndr01q1pb134zm"))))
     (build-system cmake-build-system)
     (arguments
      ;; These tests do not require any device to be connected
@@ -743,7 +743,7 @@ (define-public libnitrokey
     (inputs (list hidapi libusb))
     (home-page "https://github.com/Nitrokey/libnitrokey")
     (synopsis "Communication library for Nitrokey")
-    (description "This packate provides communication library for Nitrokey.")
+    (description "This package provides a communication library for Nitrokey.")
     (license license:lgpl3+)))
 
 (define-public cppcodec
-- 
2.39.1